%global pypi_name django-social-auth

Name:           %{pypi_name}
Version:        0.7.28
Release:        1%{?dist}
Summary:        Django social authentication made simple

License:        BSD
URL:            http://pypi.python.org/pypi/django-social-auth/0.7.10
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       Django >= 1.2.5
Requires:       python-oauth2 >= 1.5.167
Requires:       python-openid >= 2.2

%description
Django Social Auth is an easy way to setup social authentication/authorization
mechanism for Django projects.
Crafted using base code from django-twitter-oauth and django-openid-auth, it
implements a common interface to define new authentication providers from third
parties.

You can view this app's documentation on http://django-social-auth.readthedocs.org.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
#%%doc 
%{python_sitelib}/social_auth
%{python_sitelib}/django_social_auth-%{version}-py?.?.egg-info

%changelog
* Wed Dec 18 2013 Aurelien Bompard <abompard@fedoraproject.org> - 0.7.28-1
- version 0.7.28

* Thu Nov 29 2012 Aurelien Bompard - 0.7.10-1
- Initial package.
